//		 ()  .
#include "deeptree.h"

CFGTree* DeepTree::linkTree( void ) {

//	Leaf

	leaf_pref_txtwin_geom.initLeaf("WindowGeometry");
	leaf_pref_txtfont_large.initLeaf("FontSizeLarge");
	leaf_pref_txtfont_small.initLeaf("FontSizeSmall");

	leaf_pref_graphwin_geom.initLeaf("WindowGeometry");
	leaf_pref_graphfont.initLeaf("FontSize");
	leaf_pref_graphbackgr.initLeaf("Background","color");
	leaf_pref_axes.initLeaf("AxesColor","color");
	leaf_pref_point.initLeaf("PointSize","int");

	leaf_p_ver.initLeaf("Version");
	leaf_p_date.initLeaf("Date","date");
	leaf_p_modif.initLeaf("Modified");

	leaf_c_ver.initLeaf("Version");
	leaf_c_date.initLeaf("Date","date");
	leaf_c_modif.initLeaf("Modified");

	leaf_site_name.initLeaf("SiteName");
	leaf_long.initLeaf("Longitude","time");
	leaf_lat.initLeaf("Latitude","degree");
	leaf_tmZone.initLeaf("TimeZone","float");
	leaf_alt.initLeaf("Altitude","float");
	leaf_loc.initLeaf("Location");
	leaf_lev.initLeaf("Level","float");

	leaf_coord.initLeaf("CoordinateSystem",TRUE);
	leaf_star.initLeaf("StarData",TRUE);
	leaf_resp.initLeaf("Response",FALSE);
	leaf_spec.initLeaf("SpectraDir",FALSE);
	leaf_weight.initLeaf("WeightDir",FALSE);

	leaf_tempdir.initLeaf("TempDir",FALSE);
	leaf_raw.initLeaf("DataDir",FALSE);
	leaf_log.initLeaf("LogDir",FALSE);

	leaf_map_a.initLeaf("Detector",FALSE);
	leaf_discr_a.initLeaf("Discrimination","float");

	leaf_map_b.initLeaf("Detector",FALSE);
	leaf_discr_b.initLeaf("Discrimination","float");

	leaf_map_c.initLeaf("Detector",FALSE);
	leaf_discr_c.initLeaf("Discrimination","float");

	leaf_map_d.initLeaf("Detector",FALSE);
	leaf_discr_d.initLeaf("Discrimination","float");

	leaf_wide_ap.initLeaf("Stop1",FALSE);
	leaf_work_ap.initLeaf("Stop2",FALSE);
	leaf_centring.initLeaf("Stop3",FALSE);
	leaf_control.initLeaf("Stop4",FALSE);
	leaf_clens1.initLeaf("Stop5",FALSE);
	leaf_clens2.initLeaf("Stop6",FALSE);
	leaf_close.initLeaf("Stop7",FALSE);
	leaf_reserv.initLeaf("Stop8",FALSE);

	leaf_hv.initLeaf("HighVoltage","float");
	leaf_but_tm.initLeaf("ButtonPoolingTime","float");
	leaf_tmpr_tm.initLeaf("TemperPoolingTime","float");
	leaf_hv_tm.initLeaf("HighPoolingTime","float");
	leaf_estim_tm.initLeaf("FluxEstimationTime","float");
	leaf_count_save.initLeaf("CountsSave");
	leaf_log_save.initLeaf("LogSave");

	leaf_init_dr.initLeaf("InputDoor",FALSE);
	leaf_init_aper.initLeaf("InitialStop",FALSE);
	leaf_init_ill.initLeaf("Illumination",FALSE);
	leaf_illum.initLeaf("IlluminationLevel","float",FALSE);
	leaf_init_light.initLeaf("Light",FALSE);
	leaf_init_but.initLeaf("Buttons",FALSE);
	leaf_init_butmod.initLeaf("ButtonMode",FALSE);
	leaf_init_hv.initLeaf("HighVoltage",FALSE);
	leaf_saf.initLeaf("Safety",FALSE);
	leaf_stat_test.initLeaf("StatisticTest",FALSE);
	leaf_exch_test.initLeaf("ExchangeTest",FALSE);
	leaf_det_test.initLeaf("DetectorTest",FALSE);

	leaf_with_app.initLeaf("WithAperture");
	leaf_exp.initLeaf("Exposition","float");
	leaf_btime.initLeaf("BaseTime","float");
	leaf_acctime.initLeaf("AccumTime","float");

	leaf_g_with_app.initLeaf("WithAperture");
	leaf_with_sec.initLeaf("WithSecond");
	leaf_exp_gen.initLeaf("Exposition","float");
	leaf_btime_gen.initLeaf("BaseTime","float");
	leaf_sec_tm.initLeaf("SecondBaseTime","float");
	leaf_acctime_gen.initLeaf("AccumTime","float");

	leaf_nlin_a.initLeaf("NonLinearity","float");
	leaf_npois_a.initLeaf("NonPoisson","float");

	leaf_nlin_b.initLeaf("NonLinearity","float");
	leaf_npois_b.initLeaf("NonPoisson","float");

	leaf_nlin_c.initLeaf("NonLinearity","float");
	leaf_npois_c.initLeaf("NonPoisson","float");

	leaf_nlin_d.initLeaf("NonLinearity","float");
	leaf_npois_d.initLeaf("NonPoisson","float");

	leaf_txt_a.initLeaf("ShowText","yes");
	leaf_pic_a.initLeaf("ShowPicture","yes");
	leaf_size_a.initLeaf("Size","int");
	leaf_color_a.initLeaf("Color","color");
	leaf_ref_a.initLeaf("Reference","refer");

	leaf_txt_ad.initLeaf("ShowText","yes");
	leaf_pic_ad.initLeaf("ShowPicture","yes");
	leaf_size_ad.initLeaf("Size","int");
	leaf_color_ad.initLeaf("Color","color");
	leaf_ref_ad.initLeaf("Reference","refer");

	leaf_txt_a05.initLeaf("ShowText","yes");
	leaf_pic_a05.initLeaf("ShowPicture","yes");
	leaf_size_a05.initLeaf("Size","int");
	leaf_color_a05.initLeaf("Color","color");
	leaf_ref_a05.initLeaf("Reference","refer");

	leaf_txt_isop.initLeaf("ShowText","yes");
	leaf_pic_isop.initLeaf("ShowPicture","yes");
	leaf_size_isop.initLeaf("Size","int");
	leaf_color_isop.initLeaf("Color","color");
	leaf_ref_isop.initLeaf("Reference","refer");


//	CFGBranch

	branch_pref.initBranch("Preferences");
		branch_pref_txt.initBranch("Text window settings");
		branch_pref_graph.initBranch("Graphic window settings");
	branch_general.initBranch("General");
		branch_p_ver.initBranch("Program version");
		branch_c_ver.initBranch("Configuration version");
		branch_site.initBranch("Site");
		branch_inp.initBranch("Inputs");
		branch_out.initBranch("Outputs");
	branch_dev.initBranch("Devices");
		branch_ch_a.initBranch("Channel A");
		branch_ch_b.initBranch("Channel B");
		branch_ch_c.initBranch("Channel C");
		branch_ch_d.initBranch("Channel D");
		branch_aper.initBranch("Apertures");
		branch_optic.initBranch("Optics");

	branch_oper.initBranch("Operations");
		branch_common_oper.initBranch("Common");
		branch_init.initBranch("Initialization");
		branch_norm.initBranch("Normal mode");
		branch_gener.initBranch("Generalized");
		branch_focus.initBranch("Focus control");
			leaf_foc_with_app.initLeaf("WithAperture");
			leaf_foc_start.initLeaf("ScanStart","int");
			leaf_foc_fin.initLeaf("ScanFinish","int");
			leaf_foc_acctime.initLeaf("AccumTime","float");
			leaf_foc_exp.initLeaf("Exposition","float");
		branch_center.initBranch("Star centering");
			leaf_cen_with_app.initLeaf("WithAperture");
			leaf_cen_start.initLeaf("ScanStart","int");
			leaf_cen_fin.initLeaf("ScanFinish","int");
			leaf_cen_acctime.initLeaf("AccumTime","float");
			leaf_cen_exp.initLeaf("Exposition","float");
			leaf_cen_deltx.initLeaf("DeltaX0","int");
			leaf_cen_delty.initLeaf("DeltaY0","int");
		branch_backgr.initBranch("Background measurement");
			leaf_bac_meth.initLeaf("Method");
			leaf_bac_with_app.initLeaf("WithAperture");
			leaf_bac_start.initLeaf("ApertureShift","int");
			leaf_bac_fin.initLeaf("TelescopeShift","int");
			leaf_bac_cora.initLeaf("Correction");
			leaf_bac_acctime.initLeaf("AccumTime","float");
			leaf_bac_a.initLeaf("Background");
		branch_det_count.initBranch("Detectors counting measurement");
			leaf_dc_with_ap.initLeaf("WithAperture");
			leaf_dc_hv.initLeaf("Voltage");
			leaf_dc_disc.initLeaf("Discrimination");
			leaf_dc_light.initLeaf("Light");
			leaf_dc_acctm.initLeaf("AccumTime","float");
		branch_det_stat.initBranch("Detectors statistics measurement");
			leaf_ds_with_ap.initLeaf("WithAperture");
			leaf_ds_light.initLeaf("Light");
			leaf_ds_acctm.initLeaf("AccumTime","float");
		branch_test.initBranch("Tests");
			leaf_test_with_ap.initLeaf("WithAperture");
			leaf_test_tm_exch.initLeaf("ExchangeTestTime","float");
			leaf_test_tm_det.initLeaf("DetectorTestTime","float");
			leaf_test_light.initLeaf("DetectorLight","float");
			leaf_test_a.initLeaf("TestCounts");
			leaf_test_tol.initLeaf("FluxTolerance","float");
			leaf_test_tol_pois.initLeaf("NonPoisTolerance","float");
			leaf_t_light.initLeaf("StatisticLight");
			leaf_t_ampl.initLeaf("Modulation","float");
		branch_park.initBranch("Parking");
			leaf_park_dr.initLeaf("InputDoor",FALSE);
			leaf_park_ill.initLeaf("Illumination",FALSE);
			leaf_park_light.initLeaf("Light",FALSE);
			leaf_park_but.initLeaf("Buttons",FALSE);
			leaf_park_hv.initLeaf("HighVoltage",FALSE);
		branch_scen.initBranch("Scenario");
			leaf_scen_1.initLeaf("Scenario_1");
			leaf_scen_2.initLeaf("Scenario_2");
	branch_disp.initBranch("Display");
		branch_disp_comm.initBranch("Common");
			leaf_disp_len.initLeaf("Length","float"); 
		branch_ind.initBranch("Indices");
			branch_a_ind.initBranch("A");
			branch_ad_ind.initBranch("AD");
			branch_a05_ind.initBranch("A-0.5");
		branch_integr.initBranch("Integrals");
			branch_isop.initBranch("Isoplanatic");

//	Link

	link_pref.initLink('b',&branch_pref,&tree);
		link_pref_txt.initLink('b',&branch_pref_txt,&branch_pref);
			link_pref_txtwin_geom.initLink('l',&leaf_pref_txtwin_geom,&branch_pref_txt);
			link_pref_txtfont_large.initLink('l',&leaf_pref_txtfont_large,&branch_pref_txt);
			link_pref_txtfont_small.initLink('l',&leaf_pref_txtfont_small,&branch_pref_txt);
		link_pref_graph.initLink('b',&branch_pref_graph,&branch_pref);
			link_pref_graphwin_geom.initLink('l',&leaf_pref_graphwin_geom,&branch_pref_graph);
			link_pref_graphfont.initLink('l',&leaf_pref_graphfont,&branch_pref_graph);
			link_pref_graphbackgr.initLink('l',&leaf_pref_graphbackgr,&branch_pref_graph);
			link_pref_axes.initLink('l',&leaf_pref_axes,&branch_pref_graph);
			link_pref_point.initLink('l',&leaf_pref_point,&branch_pref_graph);
	link_general.initLink('b',&branch_general,&tree);
		link_p_ver.initLink('b',&branch_p_ver,&branch_general);
			link_leaf_p_ver.initLink('l',&leaf_p_ver,&branch_p_ver);
			link_p_date.initLink('l',&leaf_p_date,&branch_p_ver);
			link_p_modif.initLink('l',&leaf_p_modif,&branch_p_ver);

		link_c_ver.initLink('b',&branch_c_ver,&branch_general);
			link_leaf_c_ver.initLink('l',&leaf_c_ver,&branch_c_ver);
			link_c_date.initLink('l',&leaf_c_date,&branch_c_ver);
			link_c_modif.initLink('l',&leaf_c_modif,&branch_c_ver);

		link_site.initLink('b',&branch_site,&branch_general);
			link_site_name.initLink('l',&leaf_site_name,&branch_site);
			link_long.initLink('l',&leaf_long,&branch_site);
			link_lat.initLink('l',&leaf_lat,&branch_site);
			link_tmZone.initLink('l',&leaf_tmZone,&branch_site);
			link_alt.initLink('l',&leaf_alt,&branch_site);
			link_loc.initLink('l',&leaf_loc,&branch_site);
			link_lev.initLink('l',&leaf_lev,&branch_site);

		link_inp.initLink('b',&branch_inp,&branch_general);
			link_coord.initLink('l',&leaf_coord,&branch_inp);
			link_star.initLink('l',&leaf_star,&branch_inp);
			link_spec.initLink('l',&leaf_spec,&branch_inp);
			link_resp.initLink('l',&leaf_resp,&branch_inp);
			link_weight.initLink('l',&leaf_weight,&branch_inp);

		link_out.initLink('b',&branch_out,&branch_general);
			link_tempdir.initLink('l',&leaf_tempdir,&branch_out);
			link_raw.initLink('l',&leaf_raw,&branch_out);
			link_log.initLink('l',&leaf_log,&branch_out);

	link_dev.initLink('b',&branch_dev,&tree);

		link_ch_a.initLink('b',&branch_ch_a,&branch_dev);
			link_map_a.initLink('l',&leaf_map_a,&branch_ch_a);
			link_discr_a.initLink('l',&leaf_discr_a,&branch_ch_a);
			link_nlin_a.initLink('l',&leaf_nlin_a,&branch_ch_a);
			link_npois_a.initLink('l',&leaf_npois_a,&branch_ch_a);

		link_ch_b.initLink('b',&branch_ch_b,&branch_dev);
			link_map_b.initLink('l',&leaf_map_b,&branch_ch_b);
			link_discr_b.initLink('l',&leaf_discr_b,&branch_ch_b);
			link_nlin_b.initLink('l',&leaf_nlin_b,&branch_ch_b);
			link_npois_b.initLink('l',&leaf_npois_b,&branch_ch_b);

		link_ch_c.initLink('b',&branch_ch_c,&branch_dev);
			link_map_c.initLink('l',&leaf_map_c,&branch_ch_c);
			link_discr_c.initLink('l',&leaf_discr_c,&branch_ch_c);
			link_nlin_c.initLink('l',&leaf_nlin_c,&branch_ch_c);
			link_npois_c.initLink('l',&leaf_npois_c,&branch_ch_c);

		link_ch_d.initLink('b',&branch_ch_d,&branch_dev);
			link_map_d.initLink('l',&leaf_map_d,&branch_ch_d);
			link_discr_d.initLink('l',&leaf_discr_d,&branch_ch_d);
			link_nlin_d.initLink('l',&leaf_nlin_d,&branch_ch_d);
			link_npois_d.initLink('l',&leaf_npois_d,&branch_ch_d);

		link_aper.initLink('b',&branch_aper,&branch_dev);
			link_wide_ap.initLink('l',&leaf_wide_ap,&branch_aper);
			link_work_ap.initLink('l',&leaf_work_ap,&branch_aper);
			link_centring.initLink('l',&leaf_centring,&branch_aper);
			link_control.initLink('l',&leaf_control,&branch_aper);
			link_clens1.initLink('l',&leaf_clens1,&branch_aper);
			link_clens2.initLink('l',&leaf_clens2,&branch_aper);
			link_close.initLink('l',&leaf_close,&branch_aper);
			link_reserv.initLink('l',&leaf_reserv,&branch_aper);

		link_optic.initLink('b',&branch_optic,&branch_dev);

	link_oper.initLink('b',&branch_oper,&tree);
		link_common_oper.initLink('b',&branch_common_oper,&branch_oper);
			link_hv.initLink('l',&leaf_hv,&branch_common_oper);
			link_but_tm.initLink('l',&leaf_but_tm,&branch_common_oper);
			link_tmpr_tm.initLink('l',&leaf_tmpr_tm,&branch_common_oper);
			link_hv_tm.initLink('l',&leaf_hv_tm,&branch_common_oper);
			link_estim_tm.initLink('l',&leaf_estim_tm,&branch_common_oper);
			link_count_save.initLink('l',&leaf_count_save,&branch_common_oper);
			link_log_save.initLink('l',&leaf_log_save,&branch_common_oper);
		link_init.initLink('b',&branch_init,&branch_oper);
			link_init_dr.initLink('l',&leaf_init_dr,&branch_init);
			link_init_aper.initLink('l',&leaf_init_aper,&branch_init);
			link_illum.initLink('l',&leaf_illum,&branch_init);
			link_init_ill.initLink('l',&leaf_init_ill,&branch_init);
			link_init_light.initLink('l',&leaf_init_light,&branch_init);
			link_init_but.initLink('l',&leaf_init_but,&branch_init);
			link_init_butmod.initLink('l',&leaf_init_butmod,&branch_init);
			link_init_hv.initLink('l',&leaf_init_hv,&branch_init);
			link_saf.initLink('l',&leaf_saf,&branch_init);
			link_stat_test.initLink('l',&leaf_stat_test,&branch_init);
			link_exch_test.initLink('l',&leaf_exch_test,&branch_init);
			link_det_test.initLink('l',&leaf_det_test,&branch_init);
		link_norm.initLink('b',&branch_norm,&branch_oper);
			link_with_app.initLink('l',&leaf_with_app,&branch_norm);
			link_exp.initLink('l',&leaf_exp,&branch_norm);
			link_btime.initLink('l',&leaf_btime,&branch_norm);
			link_acctime.initLink('l',&leaf_acctime,&branch_norm);
		link_gener.initLink('b',&branch_gener,&branch_oper);
			link_g_with_app.initLink('l',&leaf_g_with_app,&branch_gener);
			link_with_sec.initLink('l',&leaf_with_sec,&branch_gener);
			link_exp_gen.initLink('l',&leaf_exp_gen,&branch_gener);
			link_btime_gen.initLink('l',&leaf_btime_gen,&branch_gener);
			link_sec_tm.initLink('l',&leaf_sec_tm,&branch_gener);
			link_acctime_gen.initLink('l',&leaf_acctime_gen,&branch_gener);
		link_focus.initLink('b',&branch_focus,&branch_oper);
			link_foc_with_app.initLink('l',&leaf_foc_with_app,&branch_focus);
			link_foc_start.initLink('l',&leaf_foc_start,&branch_focus);
			link_foc_fin.initLink('l',&leaf_foc_fin,&branch_focus);
			link_foc_acctime.initLink('l',&leaf_foc_acctime,&branch_focus);
			link_foc_exp.initLink('l',&leaf_foc_exp,&branch_focus);
		link_center.initLink('b',&branch_center,&branch_oper);
			link_cen_with_app.initLink('l',&leaf_cen_with_app,&branch_center);
			link_cen_start.initLink('l',&leaf_cen_start,&branch_center);
			link_cen_fin.initLink('l',&leaf_cen_fin,&branch_center);
			link_cen_acctime.initLink('l',&leaf_cen_acctime,&branch_center);
			link_cen_exp.initLink('l',&leaf_cen_exp,&branch_center);
			link_cen_deltx.initLink('l',&leaf_cen_deltx,&branch_center);
			link_cen_delty.initLink('l',&leaf_cen_delty,&branch_center);
		link_backgr.initLink('b',&branch_backgr,&branch_oper);
			link_bac_meth.initLink('l',&leaf_bac_meth,&branch_backgr);
			link_bac_with_app.initLink('l',&leaf_bac_with_app,&branch_backgr);
			link_bac_start.initLink('l',&leaf_bac_start,&branch_backgr);
			link_bac_fin.initLink('l',&leaf_bac_fin,&branch_backgr);
			link_bac_cora.initLink('l',&leaf_bac_cora,&branch_backgr);
			link_bac_acctime.initLink('l',&leaf_bac_acctime,&branch_backgr);
			link_bac_a.initLink('l',&leaf_bac_a,&branch_backgr);
		link_det_count.initLink('b',&branch_det_count,&branch_oper);
			link_dc_with_ap.initLink('l',&leaf_dc_with_ap,&branch_det_count);
			link_dc_hv.initLink('l',&leaf_dc_hv,&branch_det_count);
			link_dc_disc.initLink('l',&leaf_dc_disc,&branch_det_count);
			link_dc_light.initLink('l',&leaf_dc_light,&branch_det_count);
			link_dc_acctm.initLink('l',&leaf_dc_acctm,&branch_det_count);
		link_det_stat.initLink('b',&branch_det_stat,&branch_oper);
			link_ds_with_ap.initLink('l',&leaf_ds_with_ap,&branch_det_stat);
			link_ds_light.initLink('l',&leaf_ds_light,&branch_det_stat);
			link_ds_acctm.initLink('l',&leaf_ds_acctm,&branch_det_stat);
		link_test.initLink('b',&branch_test,&branch_oper);
			link_test_with_ap.initLink('l',&leaf_test_with_ap,&branch_test);
			link_test_tm_exch.initLink('l',&leaf_test_tm_exch,&branch_test);
			link_test_tm_det.initLink('l',&leaf_test_tm_det,&branch_test);
			link_test_light.initLink('l',&leaf_test_light,&branch_test);
			link_test_a.initLink('l',&leaf_test_a,&branch_test);
			link_test_tol.initLink('l',&leaf_test_tol,&branch_test);
			link_test_tol_pois.initLink('l',&leaf_test_tol_pois,&branch_test);
			link_t_light.initLink('l',&leaf_t_light,&branch_test);
			link_t_ampl.initLink('l',&leaf_t_ampl,&branch_test);
		link_park.initLink('b',&branch_park,&branch_oper);
			link_park_dr.initLink('l',&leaf_park_dr,&branch_park);
			link_park_ill.initLink('l',&leaf_park_ill,&branch_park);
			link_park_light.initLink('l',&leaf_park_light,&branch_park);
			link_park_but.initLink('l',&leaf_park_but,&branch_park);
			link_park_hv.initLink('l',&leaf_park_hv,&branch_park);
		link_scen.initLink('b',&branch_scen,&branch_oper);
			link_scen_1.initLink('l',&leaf_scen_1,&branch_scen);
			link_scen_2.initLink('l',&leaf_scen_2,&branch_scen);
	link_disp.initLink('b',&branch_disp,&tree);
		link_disp_comm.initLink('b',&branch_disp_comm,&branch_disp);
			link_disp_len.initLink('l',&leaf_disp_len,&branch_disp_comm);
		link_ind.initLink('b',&branch_ind,&branch_disp);
			link_a_ind.initLink('b',&branch_a_ind,&branch_ind);
				link_txt_a_ind.initLink('l',&leaf_txt_a,&branch_a_ind);
				link_pic_a_ind.initLink('l',&leaf_pic_a,&branch_a_ind);
				link_size_a_ind.initLink('l',&leaf_size_a,&branch_a_ind);
				link_color_a_ind.initLink('l',&leaf_color_a,&branch_a_ind);
				link_ref_a_ind.initLink('l',&leaf_ref_a,&branch_a_ind);
			link_ad_ind.initLink('b',&branch_ad_ind,&branch_ind);
				link_txt_ad_ind.initLink('l',&leaf_txt_ad,&branch_ad_ind);
				link_pic_ad_ind.initLink('l',&leaf_pic_ad,&branch_ad_ind);
				link_size_ad_ind.initLink('l',&leaf_size_ad,&branch_ad_ind);
				link_color_ad_ind.initLink('l',&leaf_color_ad,&branch_ad_ind);
				link_ref_ad_ind.initLink('l',&leaf_ref_ad,&branch_ad_ind);
			link_a05_ind.initLink('b',&branch_a05_ind,&branch_ind);
				link_txt_a05_ind.initLink('l',&leaf_txt_a05,&branch_a05_ind);
				link_pic_a05_ind.initLink('l',&leaf_pic_a05,&branch_a05_ind);
				link_size_a05_ind.initLink('l',&leaf_size_a05,&branch_a05_ind);
				link_color_a05_ind.initLink('l',&leaf_color_a05,&branch_a05_ind);
				link_ref_a05_ind.initLink('l',&leaf_ref_a05,&branch_a05_ind);

		link_integ.initLink('b',&branch_integr,&branch_disp);
			link_isop.initLink('b',&branch_isop,&branch_integr);
				link_txt_isop.initLink('l',&leaf_txt_isop,&branch_isop);
				link_pic_isop.initLink('l',&leaf_pic_isop,&branch_isop);
				link_size_isop.initLink('l',&leaf_size_isop,&branch_isop);
				link_color_isop.initLink('l',&leaf_color_isop,&branch_isop);
				link_ref_isop.initLink('l',&leaf_ref_isop,&branch_isop);

	return &tree;
}
