#ifndef DEVPLUS_H
#define DEVPLUS_H

//#include "tree.h"

extern int errno;

#define ON		1
#define OFF		0
#define OPEN 		1
#define CLOSE		0
#define INDEFINITE	-1

#define MM2CM		(0.1) // millimeter to cm conversion

#define MAX_N_COUNTERS			4	// max kol-vo schiotchikov
#define DEVICE_WAIT_INTERVAL		5	// 5 millisec
#define LIGHT_WAIT_INTERVAL		30000	// 30 sec
#define N_REPEAT_COMMAND		3
#define VALUE_TOLERANCE			0.01	// max otklonenie ustanovlennogo
						// znacheniya ot ustanavlivayemogo ( hv,expos...) 
#define POSITION_CLOSE			3100	// Abs position of motor ("DoorClose")

// Signals:

// from device:

#define ACK	0x87	// Successful receiving of data
#define NAK	0x96	// Damaged packed was received 
#define NOD	0xA5	// Required data is not ready  
#define ACN	0xB4	// Command is successfully recived but can't be executed
#define ACY	0xC3	// Command is successfully recived and executed
#define ACW	0xD2	// Command is successfully recived and will be executed

// from driver:

#define DSC	0x84	// ETIMEDOUT
#define BUS	0x85	// EBUSY
#define COL	0x86	// ECONNREFUSED

#define MSG_SIZE                40

void	jkwait( int );
int     sendCommand( const char*, unsigned char**, bool save=true );
int     sendCommand( char, char, unsigned char**, bool save=true );
int     sendCommand( char, char, char, unsigned char**, bool save=true );
int     sendCommand( char, char, char, char, unsigned char**, bool save=true );
const char* talk( const QString& );

#endif