#ifndef GRAPH_H
#define GRAPH_H
#include <math.h>
#include <qapplication.h>
#include <qpainter.h>
#include <qpixmap.h>
#include <qwidget.h>
#include <qpushbutton.h>
#include "tree.h"
#include "dataarray.h"

typedef struct {
	double xmin;
	double xmax;
	double ymin;
	double ymax;
	double sx;
	double sy;
} Scale;

class GraphWindow : public QWidget {
	Q_OBJECT

private:
	QPixmap _buffer;

	int curve1;
	DataArray *x, *y;

	int _winX;
	int _winY;
	int _winWidth;
	int _winHeight;
	QFont _font;
	int _fontSize;
	int _pointSize;
	QColor _background;
	QColor _axesColor;
	QColor _color1,_color2,_color3,_color4;
	float _frac1,_frac2,_frac3,_frac4,_total;

public:
	GraphWindow( QWidget *parent=0, const char *name=0 );
	~GraphWindow( void );
	void loadConst( void );
	void setPoint( QPoint );
	void drawAxisX( QPainter*,Scale*,int,int );
	void drawAxisX( QPainter* );
	void drawAxisY( QPainter*,Scale*,int,int,const char* );
                
public slots:
	void change( void );
	void draw( DataArray*,DataArray* );
	void drawCurve( QPainter*, QPainter*, QColor, Scale*, int, int );
	void reDraw( void );

protected:
	virtual void paintEvent( QPaintEvent* );
	virtual void resizeEvent( QResizeEvent* );
//	virtual void moveEvent( QMoveEvent* );
	virtual void mousePressEvent( QMouseEvent* );
	virtual void mouseMoveEvent( QMouseEvent* );
};

#endif