#include <math.h>
#include "jkexport.h"

ExportTable::ExportTable( void ) {
}

ExportTable::~ExportTable() {
}

void ExportTable::setNum( int row, int col, double val ) {
	QString str;
	int prec = 0;
	double val_abs = fabs( val );
	if( val_abs < 1.0 ) prec = 4;
	else if( val_abs < 10.0 ) prec = 3;
	else if( val_abs < 100.0 ) prec = 2;
	if( (row < MAX_ROW) && (col < MAX_COL) ) {
		table[row][col] = str.setNum( val,'f',prec );
	}
}

void ExportTable::setNum( int row, int col, int val ) {
	QString str;
	if( (row < MAX_ROW) && (col < MAX_COL) ) {
		table[row][col] = str.setNum( val );
	}
}

void ExportTable::clearRow( int row ) {
	if( row >= MAX_ROW ) return;
	for( int col=0; col<MAX_COL; col++ ) {
		setText( row,col,"" );
	}
}

void ExportTable::setHHead( int row, const char* col0, const char* col1=NULL,
			const char* col2=NULL, const char* col3=NULL,
			const char* col4=NULL, const char* col5=NULL,
			const char* col6=NULL, const char* col7=NULL,
					const char* col8=NULL ) {
	if( row >= MAX_ROW ) return;
	clearRow( row );
	setText( row,0,col0 );
	if( col1 ) setText( row,1,col1 );
	if( col2 ) setText( row,2,col2 );
	if( col3 ) setText( row,3,col3 );
	if( col4 ) setText( row,4,col4 );
	if( col5 ) setText( row,5,col5 );
	if( col6 ) setText( row,6,col6 );
	if( col7 ) setText( row,7,col7 );
	if( col8 ) setText( row,8,col8 );
}

void ExportTable::setText( int row, int col, const char* text ) {
	if( (row < MAX_ROW) && (col < MAX_COL) ) {
		table[row][col] = text;
	}
}

QString& ExportTable::getData( int row, int col ) {
	return( table[row][col] );
}
