#ifndef JKEXPORT_H
#define JKEXPORT_H

#include <qstring.h>

struct DeviceState {
	int	hv;		// on/off
	int	illum;		// on/off
	int	door;		// on/off (open/close)
	int	buttons;	// unlock/lock
	int	aperture;	// number
	double	temperature;
	int	brightness;	// of illumination
};

struct Progress {
	QString	message;
	double	progress;
};

const int MAX_ROW=30;
const int MAX_COL=7;

class ExportText {
public:
	static QString text;
	static bool isChanged;
};

class ExportTable {
private:
	static QString table[MAX_ROW][MAX_COL];
public:
	static bool isChanged;
	static bool clear;
	static bool adjust;
	static int startRow,nRows;
	static int startCol,nCols;

	ExportTable( void );
	~ExportTable();

	void setNum( int row, int col, double val );
	void setNum( int row, int col, int val );
	void setHHead( int,const char*,const char* = NULL,
		const char* = NULL, const char* = NULL,
		const char* = NULL, const char* = NULL,
		const char* = NULL, const char* = NULL,
					const char* = NULL );
	void clearRow( int );
	void setText( int row, int col, const char* text );
	QString& getData( int row, int col );
};

                              
class InfoExport {
public:
	static bool	isProgressChanged;
	static Progress	progress;
	static bool	isModeChanged;
	static Progress	mode;
	static bool	isScenarioChanged;
	static Progress	scenario;
	static bool	isScenario;
	static bool	isMessage;
	static QString	message;
	static int	ms;
};

class StateExport {
public:
	static bool isStartCounting;
	static bool isEndCounting;
	static bool isChanged;
	static DeviceState state;
	static bool isCorrectionReady;
};
#endif