#ifndef TOOLS_H
#define TOOLS_H

#include <qfile.h>
#include <qdir.h>
#include <qstring.h>
#include <qdatetime.h>
#include "tree.h"

#define WARNING_BUTTON_COLOR    Qt::darkRed
#define WARNING_BACK_COLOR      Qt::darkRed

#define SEC_IN_HOUR		3600.0

QTime		getCurrentUT( void );
const char*	getStamp( const char * prefix, const QTime& time,
			const char* ext=NULL );
void    showError( CFGLeaf* );
int     showWarning( QString& );
int	showStrongMessage( QString&, const char* _ok="OK" );
int	showStrongWarning( QString&, const char* _ignore="Ignore",
			const char* _abort="Exit" );
void    showFatalError( QString& );

char	readCharConst( const char*, const char*, const char*,FILE* out_f=NULL );
char	readCharConst( const char*, const char*, const char*,char,char,FILE* out_f=NULL );
int	readIntConst( const char*, const char*, const char*,FILE* out_f=NULL );
double	readDoubleConst( const char*, const char*, const char*,FILE* out_f=NULL );
double	readDoubleConst( const char*, const char*,FILE* out_f=NULL );
double	readDoubleConst( const char*, const char*, const char*,
			double,double,FILE* out_f=NULL );
const char* readStrConst( const char*, const char*, const char*,
					FILE* out_f=NULL );
int	leafDataToInt( const char*, const char*, const char*,
			const char*,int, int,FILE* out_f=NULL );
int	leafDataToInt( const char*, const char*, const char*, const char*,
			FILE* out_f=NULL );
double	leafDataToDouble( const char*, const char*,
			const char*, const char*,FILE* out_f=NULL );
double	leafDataToDouble( const char*, const char*,
			const char*, const char*, double, double,FILE* out_f=NULL );
int	leafDataOnOffToInt( const char*, const char*, const char*,
			const char*,FILE* out_f=NULL );
double	leafDataToTimeSec( const char*, const char*, const char*,
			const char*,FILE* out_f=NULL ); // whith exeption!
double	leafDataToDegSec( const char*, const char*, const char*,
			const char*,FILE* out_f=NULL ); // whith exeption!
int	leafDataToCharInt( const char*, const char*,
			const char*, const char*, QString&, double&,FILE* out_f=NULL );

int	testFileName( QString&, int );
int	testDirName( QString&, int );
QString* leafDataToStr( const char*, const char*,
			const char*, const char*,FILE* out_f=NULL );
                   
int	calcNumberDoubleInString( QString*, const char* );
int	stringToDoubleArray( QString*, QArray<double>&, const char* );
int	stringToDoubleArray( QString*, QArray<double>&, const char*,
							double, double );
int	stringToIntArray( QString*, QArray<int>&, const char* );
int	stringTo255intArray( QString*, QArray<int>&, const char* );
int	doubleTo255int( double );

void	myQAppExit( int retcode=0 );
#endif